FORMS(3) | Library Functions Manual | FORMS(3)

# NAME

`new_page`, `set_new_page` —
form library

# LIBRARY

Curses Form Library (libform, -lform)

# SYNOPSIS

`#include <form.h>`

int
`new_page`(FIELD *field);

int
`set_new_page`(FIELD *field, int page);

# DESCRIPTION

The `new_page`() function returns `TRUE` if the given field is the start of a new page, otherwise it returns `FALSE`, the new page status of a field can be set or unset using the `set_new_page`() function.

# RETURN VALUES

The functions will return one of the following error values:

`E_OK`
  The function was successful.
`E_CONNECTED`
  The field is connected to a form.

# SEE ALSO

curses(3), forms(3)

# NOTES

The header `<form.h>` automatically includes both `<curses.h>` and `<eti.h>`.

January 1, 2001 | NetBSD 9.0